package com.ruoyi.post.frequency.posreport.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.post.frequency.posreport.entity.PostReport;

import java.util.List;

/**
 * 论坛举报Mapper接口
 * 
 * @author liwenlong
 * @date 2023-10-26
 */
public interface PostReportMapper  extends BaseMapper<PostReport>
{
    /**
     * 查询论坛举报
     * 
     * @param id 论坛举报主键
     * @return 论坛举报
     */
    public PostReport selectPostReportById(Long id);

    /**
     * 查询论坛举报列表
     * 
     * @param postReport 论坛举报
     * @return 论坛举报集合
     */
    public List<PostReport> selectPostReportList(PostReport postReport);

    /**
     * 新增论坛举报
     * 
     * @param postReport 论坛举报
     * @return 结果
     */
    public int insertPostReport(PostReport postReport);

    /**
     * 修改论坛举报
     * 
     * @param postReport 论坛举报
     * @return 结果
     */
    public int updatePostReport(PostReport postReport);

    /**
     * 删除论坛举报
     * 
     * @param id 论坛举报主键
     * @return 结果
     */
    public int deletePostReportById(Long id);

    /**
     * 批量删除论坛举报
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deletePostReportByIds(Long[] ids);
}
